Package org.apache.synapse.commons.staxon.core.base

## Class XMLStreamWriterScope<T>

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.base.AbstractXMLStreamScope
  - - org.apache.synapse.commons.staxon.core.base.XMLStreamWriterScope<T>

- All Implemented Interfaces:
    `NamespaceContext`

      public class XMLStreamWriterScope<T>
      extends AbstractXMLStreamScope

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XMLStreamWriterScope​(String defaultNamespace, T info)` |
    `XMLStreamWriterScope​(NamespaceContext parent, T info)` |
    `XMLStreamWriterScope​(XMLStreamWriterScope<T> parent, String prefix, String localName, String namespaceURI, boolean emptyElement)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `getInfo()` |
    `XMLStreamWriterScope<T>` | `getParent()` |
    `boolean` | `isEmptyElement()` |

    - ### Methods inherited from class org.apache.synapse.commons.staxon.core.base.AbstractXMLStreamScope

      `getLastChild, getLocalName, getNamespaceURI, getNamespaceURI, getPrefix, getPrefix, getPrefixes, isRoot, isStartTagClosed, setPrefix`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLStreamWriterScope

          public XMLStreamWriterScope​(String defaultNamespace,
                                      T info)

    - #### XMLStreamWriterScope

          public XMLStreamWriterScope​(NamespaceContext parent,
                                      T info)

    - #### XMLStreamWriterScope

          public XMLStreamWriterScope​(XMLStreamWriterScope<T> parent,
                                      String prefix,
                                      String localName,
                                      String namespaceURI,
                                      boolean emptyElement)

  - ### Method Detail

    - #### getInfo

          public T getInfo()

    - #### getParent

          public XMLStreamWriterScope<T> getParent()

      Overrides:
        `getParent` in class `AbstractXMLStreamScope`

    - #### isEmptyElement

          public boolean isEmptyElement()